import { EventData, LayoutBase, ViewBase } from '@nativescript/core';
export declare class Dom extends LayoutBase {
    _canvas: any;
    _children: any[];
    constructor();
    createNativeView(): Object;
    initNativeView(): void;
    _ready(args: EventData): void;
    _addViewToNativeVisualTree(view: ViewBase, atIndex?: number): boolean;
}
